.partners-carousel {
  position: relative;
  &::before,
  &::after {
    --position-x: -5%;
    --gradient-degree: 90deg;
    content: "";
    position: absolute;
    top: 0;
    height: 100%;
    width: 15%;
    z-index: 2;
    background: linear-gradient(
      var(--gradient-degree),
      var(--global-palette8) 0%,
      var(--global-palette8) 50%,
      transparent
    );
  }
  &::before {
    left: var(--position-x);
  }
  &::after {
    --gradient-degree: 270deg;
    right: var(--position-x);
  }
}

@media (min-width: 1024px) {
  .partners-carousel {
    & .swiper-slide {
      filter: saturate(0) grayscale(1) opacity(0.4);
      transition: filter 300ms linear;
      &:hover {
        filter: saturate(1) grayscale(0) opacity(1);
      }
    }
  }
}

.courses-carousel .swiper-slide:not(.swiper-slide-active) {
  filter: opacity(0.4) blur(1px) saturate(0.5);
}

.books-section {
  margin: 16px;
  & > div > article {
    border-radius: 20px !important;
    padding: 10px;
    & > a > figure > img {
      border-top-left-radius: 10px;
      border-top-right-radius: 10px;
    }
    & > div {
      padding-block: 1rem;
      & > h3 {
        margin-top: 1rem !important;
        margin-bottom: 2rem !important;
      }
    }
  }
}

.home-post-template {
  padding-inline: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;

  &>li {
    background-color: var(--global-palette9);
    padding-block-end: 1rem;
    border-radius: 0.5rem;
    overflow: clip;

    &> figure {
      margin-bottom: 1rem;

      &> a > img {
        max-width: 400px;
      }
    }
    &>div {
      padding-inline: 0.25rem;
    }

    &> h2 {
      padding-inline: 0.5rem;
    }


    &> .wp-block-read-more {
      margin-inline-start: auto;
      margin-inline-end: 1rem;
    }
  }
}
